Upstream information

CVE-2011-2834 at MITRE

Description

Double free vulnerability in libxml2, as used in Google Chrome before 14.0.835.163, allows remote attackers to cause a denial of service or possibly have unspecified other impact via vectors related to XPath handling.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 732787 [RESOLVED / FIXED], 739894 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • libxml2 >= 2.7.6-0.11.1
  • libxml2-32bit >= 2.7.6-0.11.1
  • libxml2-doc >= 2.7.6-0.11.1
  • libxml2-python >= 2.7.6-0.25.1
  • libxml2-x86 >= 2.7.6-0.19.1
Patchnames:
slessp1-libxml2
openSUSE 11.3
  • libxml2-debuginfo >= 2.7.7-4.9.1
  • libxml2-debuginfo-32bit >= 2.7.7-4.9.1
  • libxml2-debugsource >= 2.7.7-4.9.1
openSUSE 11.3
  • libxml2 >= 2.7.7-4.9.1
  • libxml2-32bit >= 2.7.7-4.9.1
  • libxml2-devel >= 2.7.7-4.9.1
  • libxml2-devel-32bit >= 2.7.7-4.9.1
  • libxml2-doc >= 2.7.7-4.9.1
openSUSE 11.4
  • libxml2 >= 2.7.8-16.19.1
  • libxml2-32bit >= 2.7.8-16.19.1
  • libxml2-devel >= 2.7.8-16.19.1
  • libxml2-devel-32bit >= 2.7.8-16.19.1
  • libxml2-doc >= 2.7.8-16.19.1
SUSE Linux Enterprise Software Development Kit 11 SP1
  • libxml2-devel >= 2.7.6-0.11.1
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sled11-sp1.x86
sled11-sp1.x86-64
sle11-sp1-sdk.s390x
sles11-sp1.ia64
sles11-sp1-vmware.x86
SAT Patch Nr: 5489
SUSE Linux Enterprise Software Development Kit 11 SP1
  • libxml2-devel >= 2.7.6-0.11.1
  • libxml2-devel-32bit >= 2.7.6-0.11.1
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sled11-sp1.x86
sled11-sp1.x86-64
sle11-sp1-sdk.s390x
sles11-sp1.ia64
sles11-sp1-vmware.x86
SAT Patch Nr: 5489
SUSE Linux Enterprise Desktop 11 SP1
  • libxml2 >= 2.7.6-0.11.1
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sled11-sp1.x86
sled11-sp1.x86-64
sle11-sp1-sdk.s390x
sles11-sp1.ia64
sles11-sp1-vmware.x86
SAT Patch Nr: 5489
SUSE Linux Enterprise Desktop 11 SP1
  • libxml2 >= 2.7.6-0.11.1
  • libxml2-32bit >= 2.7.6-0.11.1
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sled11-sp1.x86
sled11-sp1.x86-64
sle11-sp1-sdk.s390x
sles11-sp1.ia64
sles11-sp1-vmware.x86
SAT Patch Nr: 5489
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libxml2 >= 2.7.6-0.11.1
  • libxml2-32bit >= 2.7.6-0.11.1
  • libxml2-doc >= 2.7.6-0.11.1
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sled11-sp1.x86
sled11-sp1.x86-64
sle11-sp1-sdk.s390x
sles11-sp1.ia64
sles11-sp1-vmware.x86
SAT Patch Nr: 5489
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libxml2 >= 2.7.6-0.11.1
  • libxml2-doc >= 2.7.6-0.11.1
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sled11-sp1.x86
sled11-sp1.x86-64
sle11-sp1-sdk.s390x
sles11-sp1.ia64
sles11-sp1-vmware.x86
SAT Patch Nr: 5489
SUSE Linux Enterprise Server 11 SP1
  • libxml2 >= 2.7.6-0.11.1
  • libxml2-doc >= 2.7.6-0.11.1
  • libxml2-x86 >= 2.7.6-0.11.1
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sle11-sp1-sdk.x86-64
sles11-sp1.x86
sles11-sp1.s390x
sled11-sp1.x86
sled11-sp1.x86-64
sle11-sp1-sdk.s390x
sles11-sp1.ia64
sles11-sp1-vmware.x86
SAT Patch Nr: 5489
openSUSE 11.4
  • libxml2 >= 2.7.8-16.19.1
  • libxml2-32bit >= 2.7.8-16.19.1
  • libxml2-debuginfo >= 2.7.8-16.19.1
  • libxml2-debuginfo-32bit >= 2.7.8-16.19.1
  • libxml2-debugsource >= 2.7.8-16.19.1
  • libxml2-devel >= 2.7.8-16.19.1
  • libxml2-devel-32bit >= 2.7.8-16.19.1
  • libxml2-doc >= 2.7.8-16.19.1
Patchnames:
libxml2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 libxml2 Released
SUSE Linux Enterprise SDK 11 SP1 libxml2 Released
SUSE Linux Enterprise Server 11 SP1 libxml2 Released
SUSE Linux Enterprise Server 11 SP1 LTSS libxml2 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 libxml2 Released